use std::io;
use std::cmp::Ordering;
use rand::Rng;

fn main() {
    let number_range: std::ops::RangeInclusive<usize> = 1..=100;
    println!("Please enter a number to guess a number between {} and {} !",number_range.start(),number_range.end());
    let rand_number: usize = rand::thread_rng().gen_range(number_range).try_into().expect("random a number failed :(\n");
    let mut enter_string: String = String::new();
    let mut enter_number:usize;
    for i in 1..=6 {
        println!("The {} time input",i);
        enter_string.clear();
        io::stdin().read_line(&mut enter_string).expect("read the message you entered failed ! :(\n");
        enter_number = enter_string.trim().parse().expect("Parse the number you entered failed! :(\n");
        match enter_number.cmp(&rand_number) {
            Ordering::Less => println!("The number you entered was too small!"),
            Ordering::Equal => {
                println!("You win !\nThe number is {}",rand_number);
                return;
            },
            Ordering::Greater => println!("The number you entered was too big!")
        }
    }
    println!("You failed . \n The number is {}",rand_number);
}
